CREATE OR REPLACE TRIGGER LOG_VND_PARAVEND_INS_DEL AFTER INSERT OR DELETE ON PARAVEND FOR EACH ROW 
DECLARE 
    V_DSREMOTEADDR VARCHAR2(15); 
    V_DSREMOTEHOST VARCHAR2(15); 
    V_DSSERVERRDM  VARCHAR2(20); 
    V_DSSERVMETHOD VARCHAR2(30); 
    V_DSREMOTEOPER VARCHAR2(12); 
    V_DESC         VARCHAR2(4000); 
    V_ITPESQ       VARCHAR2(40); 
    V_NMOPERADOR   VARCHAR2(40); 
    V_IDTIPOOPER   VARCHAR2(1); 
BEGIN 
    /* IDTIPOOPER - '1' - Inclusao, '3' - Exclusao*/ 
    V_DESC       := ''; 
    V_ITPESQ     :=  ''; 
    V_NMOPERADOR := '';  
    V_IDTIPOOPER := ''; 
    NMUSUARIO(V_NMOPERADOR); 
    WEBTUNNING(V_DSREMOTEADDR, 
               V_DSREMOTEHOST, 
               V_DSSERVERRDM, 
               V_DSSERVMETHOD, 
               V_DSREMOTEOPER); 
    IF INSERTING THEN
        IF :NEW.CDFILIAL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDFILIAL ' || ' ' || NVL(:NEW.CDFILIAL, ''); 
        END IF;
        IF :NEW.CDPARAVEND IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPARAVEND ' || ' ' || NVL(:NEW.CDPARAVEND, ''); 
        END IF;
        IF :NEW.CDPRODUTO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODUTO ' || ' ' || NVL(:NEW.CDPRODUTO, ''); 
        END IF;
        IF :NEW.CDCLIENTE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCLIENTE ' || ' ' || NVL(:NEW.CDCLIENTE, ''); 
        END IF;
        IF :NEW.NMULTIMOTXT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NMULTIMOTXT ' || ' ' || NVL(:NEW.NMULTIMOTXT, ''); 
        END IF;
        IF :NEW.IDCONSUMIOBR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSUMIOBR ' || ' ' || NVL(:NEW.IDCONSUMIOBR, ''); 
        END IF;
        IF :NEW.QTDIGCDIDCON IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'QTDIGCDIDCON ' || ' ' || NVL(:NEW.QTDIGCDIDCON, ''); 
        END IF;
        IF :NEW.CDDIGCDIDCON IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDDIGCDIDCON ' || ' ' || NVL(:NEW.CDDIGCDIDCON, ''); 
        END IF;
        IF :NEW.IDATUEST IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDATUEST ' || ' ' || NVL(:NEW.IDATUEST, ''); 
        END IF;
        IF :NEW.CDSERVFILI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERVFILI ' || ' ' || NVL(:NEW.CDSERVFILI, ''); 
        END IF;
        IF :NEW.IDSERVPAD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDSERVPAD ' || ' ' || NVL(:NEW.IDSERVPAD, ''); 
        END IF;
        IF :NEW.IDIMPCUPFIS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCUPFIS ' || ' ' || NVL(:NEW.IDIMPCUPFIS, ''); 
        END IF;
        IF :NEW.CDEMPRESA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDEMPRESA ' || ' ' || NVL(:NEW.CDEMPRESA, ''); 
        END IF;
        IF :NEW.CDINSCESTA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDINSCESTA ' || ' ' || NVL(:NEW.CDINSCESTA, ''); 
        END IF;
        IF :NEW.CDINSCMUNI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDINSCMUNI ' || ' ' || NVL(:NEW.CDINSCMUNI, ''); 
        END IF;
        IF :NEW.CDSERIE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERIE ' || ' ' || NVL(:NEW.CDSERIE, ''); 
        END IF;
        IF :NEW.CDTABEPREC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTABEPREC ' || ' ' || NVL(:NEW.CDTABEPREC, ''); 
        END IF;
        IF :NEW.IDFORMAPRECO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDFORMAPRECO ' || ' ' || NVL(:NEW.IDFORMAPRECO, ''); 
        END IF;
        IF :NEW.IDCUSFOPRECO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCUSFOPRECO ' || ' ' || NVL(:NEW.IDCUSFOPRECO, ''); 
        END IF;
        IF :NEW.IDPRECDIFCOM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPRECDIFCOM ' || ' ' || NVL(:NEW.IDPRECDIFCOM, ''); 
        END IF;
        IF :NEW.IDORIGVENDA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDORIGVENDA ' || ' ' || NVL(:NEW.IDORIGVENDA, ''); 
        END IF;
        IF :NEW.NRDIAFATVEND IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAFATVEND ' || ' ' || NVL(:NEW.NRDIAFATVEND, ''); 
        END IF;
        IF :NEW.IDPERDIGCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERDIGCONS ' || ' ' || NVL(:NEW.IDPERDIGCONS, ''); 
        END IF;
        IF :NEW.CDLOJA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDLOJA ' || ' ' || NVL(:NEW.CDLOJA, ''); 
        END IF;
        IF :NEW.NRDIASVENDA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASVENDA ' || ' ' || NVL(:NEW.NRDIASVENDA, ''); 
        END IF;
        IF :NEW.IDTESESTCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDTESESTCONS ' || ' ' || NVL(:NEW.IDTESESTCONS, ''); 
        END IF;
        IF :NEW.IDCRIPTOCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCRIPTOCONS ' || ' ' || NVL(:NEW.IDCRIPTOCONS, ''); 
        END IF;
        IF :NEW.QTDIGICOMAND IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'QTDIGICOMAND ' || ' ' || NVL(:NEW.QTDIGICOMAND, ''); 
        END IF;
        IF :NEW.CDTIPOCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOCONS ' || ' ' || NVL(:NEW.CDTIPOCONS, ''); 
        END IF;
        IF :NEW.CDCCUSCLIE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCCUSCLIE ' || ' ' || NVL(:NEW.CDCCUSCLIE, ''); 
        END IF;
        IF :NEW.IDPERMARCDUP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERMARCDUP ' || ' ' || NVL(:NEW.IDPERMARCDUP, ''); 
        END IF;
        IF :NEW.IDALTPRECO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDALTPRECO ' || ' ' || NVL(:NEW.IDALTPRECO, ''); 
        END IF;
        IF :NEW.CDTPCONSDUP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPCONSDUP ' || ' ' || NVL(:NEW.CDTPCONSDUP, ''); 
        END IF;
        IF :NEW.CDGRPRODPDV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPRODPDV ' || ' ' || NVL(:NEW.CDGRPRODPDV, ''); 
        END IF;
        IF :NEW.NRPOSINICONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINICONS ' || ' ' || NVL(:NEW.NRPOSINICONS, ''); 
        END IF;
        IF :NEW.NRPOSFINCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFINCONS ' || ' ' || NVL(:NEW.NRPOSFINCONS, ''); 
        END IF;
        IF :NEW.IDUTDLLEXSEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTDLLEXSEG ' || ' ' || NVL(:NEW.IDUTDLLEXSEG, ''); 
        END IF;
        IF :NEW.CDPDVDLLSEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPDVDLLSEG ' || ' ' || NVL(:NEW.CDPDVDLLSEG, ''); 
        END IF;
        IF :NEW.CDPOODLLSEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPOODLLSEG ' || ' ' || NVL(:NEW.CDPOODLLSEG, ''); 
        END IF;
        IF :NEW.CDCXADLLSEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCXADLLSEG ' || ' ' || NVL(:NEW.CDCXADLLSEG, ''); 
        END IF;
        IF :NEW.QTMEDVENDDIA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'QTMEDVENDDIA ' || ' ' || NVL(:NEW.QTMEDVENDDIA, ''); 
        END IF;
        IF :NEW.IDUTSUBTCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTSUBTCONS ' || ' ' || NVL(:NEW.IDUTSUBTCONS, ''); 
        END IF;
        IF :NEW.CDCAIXACTRL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCAIXACTRL ' || ' ' || NVL(:NEW.CDCAIXACTRL, ''); 
        END IF;
        IF :NEW.VRPEEMITROCO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRPEEMITROCO ' || ' ' || NVL(:NEW.VRPEEMITROCO, ''); 
        END IF;
        IF :NEW.DTINTESTCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTINTESTCONS ' || ' ' || NVL(:NEW.DTINTESTCONS, ''); 
        END IF;
        IF :NEW.DTINITESCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTINITESCONS ' || ' ' || NVL(:NEW.DTINITESCONS, ''); 
        END IF;
        IF :NEW.CDFORMATCOD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDFORMATCOD ' || ' ' || NVL(:NEW.CDFORMATCOD, ''); 
        END IF;
        IF :NEW.NRPOSINIOPT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINIOPT ' || ' ' || NVL(:NEW.NRPOSINIOPT, ''); 
        END IF;
        IF :NEW.NRPOSFIMOPT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFIMOPT ' || ' ' || NVL(:NEW.NRPOSFIMOPT, ''); 
        END IF;
        IF :NEW.DTULTATUPAVN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTULTATUPAVN ' || ' ' || NVL(:NEW.DTULTATUPAVN, ''); 
        END IF;
        IF :NEW.DTINICONSTOT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTINICONSTOT ' || ' ' || NVL(:NEW.DTINICONSTOT, ''); 
        END IF;
        IF :NEW.IDTIPMAPRESU IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDTIPMAPRESU ' || ' ' || NVL(:NEW.IDTIPMAPRESU, ''); 
        END IF;
        IF :NEW.IDENTRSAIDOP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDENTRSAIDOP ' || ' ' || NVL(:NEW.IDENTRSAIDOP, ''); 
        END IF;
        IF :NEW.CDTIPOOPER IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOOPER ' || ' ' || NVL(:NEW.CDTIPOOPER, ''); 
        END IF;
        IF :NEW.IDACRIMPOSTO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDACRIMPOSTO ' || ' ' || NVL(:NEW.IDACRIMPOSTO, ''); 
        END IF;
        IF :NEW.CDOPERADOR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDOPERADOR ' || ' ' || NVL(:NEW.CDOPERADOR, ''); 
        END IF;
        IF :NEW.CDPRODTAXSER IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODTAXSER ' || ' ' || NVL(:NEW.CDPRODTAXSER, ''); 
        END IF;
        IF :NEW.CDFILIALEXT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDFILIALEXT ' || ' ' || NVL(:NEW.CDFILIALEXT, ''); 
        END IF;
        IF :NEW.CDVERBACONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDVERBACONS ' || ' ' || NVL(:NEW.CDVERBACONS, ''); 
        END IF;
        IF :NEW.CDVERBAEXCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDVERBAEXCE ' || ' ' || NVL(:NEW.CDVERBAEXCE, ''); 
        END IF;
        IF :NEW.IDCALCVREXCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCALCVREXCE ' || ' ' || NVL(:NEW.IDCALCVREXCE, ''); 
        END IF;
        IF :NEW.VRREFNEGCLIE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRREFNEGCLIE ' || ' ' || NVL(:NEW.VRREFNEGCLIE, ''); 
        END IF;
        IF :NEW.IDSALDOINICUPOM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDSALDOINICUPOM ' || ' ' || NVL(:NEW.IDSALDOINICUPOM, ''); 
        END IF;
        IF :NEW.IDPREVCONSPDV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPREVCONSPDV ' || ' ' || NVL(:NEW.IDPREVCONSPDV, ''); 
        END IF;
        IF :NEW.CDSERIECNTREC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERIECNTREC ' || ' ' || NVL(:NEW.CDSERIECNTREC, ''); 
        END IF;
        IF :NEW.CDTPOPERCNTREC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPOPERCNTREC ' || ' ' || NVL(:NEW.CDTPOPERCNTREC, ''); 
        END IF;
        IF :NEW.CDREDUCONT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDREDUCONT ' || ' ' || NVL(:NEW.CDREDUCONT, ''); 
        END IF;
        IF :NEW.CDTPBAIXAREC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPBAIXAREC ' || ' ' || NVL(:NEW.CDTPBAIXAREC, ''); 
        END IF;
        IF :NEW.IDGERACAOTC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERACAOTC ' || ' ' || NVL(:NEW.IDGERACAOTC, ''); 
        END IF;
        IF :NEW.IDIMPSALDOCUPOM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPSALDOCUPOM ' || ' ' || NVL(:NEW.IDIMPSALDOCUPOM, ''); 
        END IF;
        IF :NEW.IDPERCONVESTNEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERCONVESTNEG ' || ' ' || NVL(:NEW.IDPERCONVESTNEG, ''); 
        END IF;
        IF :NEW.IDUTILMODPROD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILMODPROD ' || ' ' || NVL(:NEW.IDUTILMODPROD, ''); 
        END IF;
        IF :NEW.NRDIASVERMOVCLI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASVERMOVCLI ' || ' ' || NVL(:NEW.NRDIASVERMOVCLI, ''); 
        END IF;
        IF :NEW.IDUTCONFCADCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTCONFCADCONS ' || ' ' || NVL(:NEW.IDUTCONFCADCONS, ''); 
        END IF;
        IF :NEW.IDRECBOLETBANC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDRECBOLETBANC ' || ' ' || NVL(:NEW.IDRECBOLETBANC, ''); 
        END IF;
        IF :NEW.IDRECBANCOITAU IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDRECBANCOITAU ' || ' ' || NVL(:NEW.IDRECBANCOITAU, ''); 
        END IF;
        IF :NEW.IDRECBANCOBRADE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDRECBANCOBRADE ' || ' ' || NVL(:NEW.IDRECBANCOBRADE, ''); 
        END IF;
        IF :NEW.IDCONSREDZMECF IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSREDZMECF ' || ' ' || NVL(:NEW.IDCONSREDZMECF, ''); 
        END IF;
        IF :NEW.IDCONSTCFECDIA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSTCFECDIA ' || ' ' || NVL(:NEW.IDCONSTCFECDIA, ''); 
        END IF;
        IF :NEW.IDPERLANCANTDP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERLANCANTDP ' || ' ' || NVL(:NEW.IDPERLANCANTDP, ''); 
        END IF;
        IF :NEW.NRDIAANTLANC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAANTLANC ' || ' ' || NVL(:NEW.NRDIAANTLANC, ''); 
        END IF;
        IF :NEW.IDPERLANCPOSDP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERLANCPOSDP ' || ' ' || NVL(:NEW.IDPERLANCPOSDP, ''); 
        END IF;
        IF :NEW.NRDIAPOSLANC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAPOSLANC ' || ' ' || NVL(:NEW.NRDIAPOSLANC, ''); 
        END IF;
        IF :NEW.DTPROCVND IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTPROCVND ' || ' ' || NVL(:NEW.DTPROCVND, ''); 
        END IF;
        IF :NEW.NRORG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRORG ' || ' ' || NVL(:NEW.NRORG, ''); 
        END IF;
        IF :NEW.DTINCLUSAO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTINCLUSAO ' || ' ' || NVL(:NEW.DTINCLUSAO, ''); 
        END IF;
        IF :NEW.DTULTATU IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTULTATU ' || ' ' || NVL(:NEW.DTULTATU, ''); 
        END IF;
        IF :NEW.NRORGINCLUSAO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRORGINCLUSAO ' || ' ' || NVL(:NEW.NRORGINCLUSAO, ''); 
        END IF;
        IF :NEW.CDOPERINCLUSAO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDOPERINCLUSAO ' || ' ' || NVL(:NEW.CDOPERINCLUSAO, ''); 
        END IF;
        IF :NEW.NRORGULTATU IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRORGULTATU ' || ' ' || NVL(:NEW.NRORGULTATU, ''); 
        END IF;
        IF :NEW.CDOPERULTATU IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDOPERULTATU ' || ' ' || NVL(:NEW.CDOPERULTATU, ''); 
        END IF;
        IF :NEW.IDPERCADCONSFCXA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERCADCONSFCXA ' || ' ' || NVL(:NEW.IDPERCADCONSFCXA, ''); 
        END IF;
        IF :NEW.IDFILUTSITE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDFILUTSITE ' || ' ' || NVL(:NEW.IDFILUTSITE, ''); 
        END IF;
        IF :NEW.VRCONSMAXPER IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRCONSMAXPER ' || ' ' || NVL(:NEW.VRCONSMAXPER, ''); 
        END IF;
        IF :NEW.IDPARIMPRLIMVDC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPARIMPRLIMVDC ' || ' ' || NVL(:NEW.IDPARIMPRLIMVDC, ''); 
        END IF;
        IF :NEW.DSMD5FORSALE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSMD5FORSALE ' || ' ' || NVL(:NEW.DSMD5FORSALE, ''); 
        END IF;
        IF :NEW.IDATUIDMCLI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDATUIDMCLI ' || ' ' || NVL(:NEW.IDATUIDMCLI, ''); 
        END IF;
        IF :NEW.IDGERAARQXMLINT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERAARQXMLINT ' || ' ' || NVL(:NEW.IDGERAARQXMLINT, ''); 
        END IF;
        IF :NEW.DSDIRARQXMLINT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRARQXMLINT ' || ' ' || NVL(:NEW.DSDIRARQXMLINT, ''); 
        END IF;
        IF :NEW.IDIMPBLOLANCNEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPBLOLANCNEG ' || ' ' || NVL(:NEW.IDIMPBLOLANCNEG, ''); 
        END IF;
        IF :NEW.IDGERANFVENPROD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERANFVENPROD ' || ' ' || NVL(:NEW.IDGERANFVENPROD, ''); 
        END IF;
        IF :NEW.IDATUIDVCAT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDATUIDVCAT ' || ' ' || NVL(:NEW.IDATUIDVCAT, ''); 
        END IF;
        IF :NEW.HRINI1DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRINI1DAYPART ' || ' ' || NVL(:NEW.HRINI1DAYPART, ''); 
        END IF;
        IF :NEW.HRFIN1DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRFIN1DAYPART ' || ' ' || NVL(:NEW.HRFIN1DAYPART, ''); 
        END IF;
        IF :NEW.HRINI2DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRINI2DAYPART ' || ' ' || NVL(:NEW.HRINI2DAYPART, ''); 
        END IF;
        IF :NEW.HRFIN2DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRFIN2DAYPART ' || ' ' || NVL(:NEW.HRFIN2DAYPART, ''); 
        END IF;
        IF :NEW.HRINI3DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRINI3DAYPART ' || ' ' || NVL(:NEW.HRINI3DAYPART, ''); 
        END IF;
        IF :NEW.HRFIN3DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRFIN3DAYPART ' || ' ' || NVL(:NEW.HRFIN3DAYPART, ''); 
        END IF;
        IF :NEW.HRINI4DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRINI4DAYPART ' || ' ' || NVL(:NEW.HRINI4DAYPART, ''); 
        END IF;
        IF :NEW.HRFIN4DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRFIN4DAYPART ' || ' ' || NVL(:NEW.HRFIN4DAYPART, ''); 
        END IF;
        IF :NEW.CDINTEGRADOTZ IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDINTEGRADOTZ ' || ' ' || NVL(:NEW.CDINTEGRADOTZ, ''); 
        END IF;
        IF :NEW.IDTPAPUFIL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPAPUFIL ' || ' ' || NVL(:NEW.IDTPAPUFIL, ''); 
        END IF;
        IF :NEW.NRDIAFECHAFOLHA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAFECHAFOLHA ' || ' ' || NVL(:NEW.NRDIAFECHAFOLHA, ''); 
        END IF;
        IF :NEW.IDEXCONSATFIL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXCONSATFIL ' || ' ' || NVL(:NEW.IDEXCONSATFIL, ''); 
        END IF;
        IF :NEW.DSDIRARQDOTZ IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRARQDOTZ ' || ' ' || NVL(:NEW.DSDIRARQDOTZ, ''); 
        END IF;
        IF :NEW.IDAMBTRABNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDAMBTRABNFCE ' || ' ' || NVL(:NEW.IDAMBTRABNFCE, ''); 
        END IF;
        IF :NEW.NRCERTDIGNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRCERTDIGNFCE ' || ' ' || NVL(:NEW.NRCERTDIGNFCE, ''); 
        END IF;
        IF :NEW.IDCANCEXTNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCANCEXTNFCE ' || ' ' || NVL(:NEW.IDCANCEXTNFCE, ''); 
        END IF;
        IF :NEW.IDGERALOGNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERALOGNFCE ' || ' ' || NVL(:NEW.IDGERALOGNFCE, ''); 
        END IF;
        IF :NEW.DSDIRARQLOGNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRARQLOGNFCE ' || ' ' || NVL(:NEW.DSDIRARQLOGNFCE, ''); 
        END IF;
        IF :NEW.IDTPTAXAROYA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPTAXAROYA ' || ' ' || NVL(:NEW.IDTPTAXAROYA, ''); 
        END IF;
        IF :NEW.IDTPTAXAMARK IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPTAXAMARK ' || ' ' || NVL(:NEW.IDTPTAXAMARK, ''); 
        END IF;
        IF :NEW.DTFECHAFRANQ IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTFECHAFRANQ ' || ' ' || NVL(:NEW.DTFECHAFRANQ, ''); 
        END IF;
        IF :NEW.VRPERCROYALT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRPERCROYALT ' || ' ' || NVL(:NEW.VRPERCROYALT, ''); 
        END IF;
        IF :NEW.VRFIXOROYALT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRFIXOROYALT ' || ' ' || NVL(:NEW.VRFIXOROYALT, ''); 
        END IF;
        IF :NEW.VRPERCMARKET IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRPERCMARKET ' || ' ' || NVL(:NEW.VRPERCMARKET, ''); 
        END IF;
        IF :NEW.VRFIXOMARKET IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRFIXOMARKET ' || ' ' || NVL(:NEW.VRFIXOMARKET, ''); 
        END IF;
        IF :NEW.TPVENCNF IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'TPVENCNF ' || ' ' || NVL(:NEW.TPVENCNF, ''); 
        END IF;
        IF :NEW.DIAVENCNF IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DIAVENCNF ' || ' ' || NVL(:NEW.DIAVENCNF, ''); 
        END IF;
        IF :NEW.CDCLIFRAN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCLIFRAN ' || ' ' || NVL(:NEW.CDCLIFRAN, ''); 
        END IF;
        IF :NEW.NMRAZSOCCLIEFRAN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NMRAZSOCCLIEFRAN ' || ' ' || NVL(:NEW.NMRAZSOCCLIEFRAN, ''); 
        END IF;
        IF :NEW.CDPRODUTOROY IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODUTOROY ' || ' ' || NVL(:NEW.CDPRODUTOROY, ''); 
        END IF;
        IF :NEW.NMPRODUTOROY IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NMPRODUTOROY ' || ' ' || NVL(:NEW.NMPRODUTOROY, ''); 
        END IF;
        IF :NEW.CDPRODUTOMAR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODUTOMAR ' || ' ' || NVL(:NEW.CDPRODUTOMAR, ''); 
        END IF;
        IF :NEW.NMPRODUTOMAR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NMPRODUTOMAR ' || ' ' || NVL(:NEW.NMPRODUTOMAR, ''); 
        END IF;
        IF :NEW.CDSERIEFRAN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERIEFRAN ' || ' ' || NVL(:NEW.CDSERIEFRAN, ''); 
        END IF;
        IF :NEW.DSSERIEFRAN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSSERIEFRAN ' || ' ' || NVL(:NEW.DSSERIEFRAN, ''); 
        END IF;
        IF :NEW.CDTIPOOPERFRAN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOOPERFRAN ' || ' ' || NVL(:NEW.CDTIPOOPERFRAN, ''); 
        END IF;
        IF :NEW.NMTIPOOPERFRAN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NMTIPOOPERFRAN ' || ' ' || NVL(:NEW.NMTIPOOPERFRAN, ''); 
        END IF;
        IF :NEW.IDUTILCONTAB IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILCONTAB ' || ' ' || NVL(:NEW.IDUTILCONTAB, ''); 
        END IF;
        IF :NEW.IDCONCREDDF IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONCREDDF ' || ' ' || NVL(:NEW.IDCONCREDDF, ''); 
        END IF;
        IF :NEW.IDETIQZEBRA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDETIQZEBRA ' || ' ' || NVL(:NEW.IDETIQZEBRA, ''); 
        END IF;
        IF :NEW.NRDIAVALTURCAIX IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAVALTURCAIX ' || ' ' || NVL(:NEW.NRDIAVALTURCAIX, ''); 
        END IF;
        IF :NEW.IDBLOQCONSOLIDA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQCONSOLIDA ' || ' ' || NVL(:NEW.IDBLOQCONSOLIDA, ''); 
        END IF;
        IF :NEW.IDCONSISTECONSO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSISTECONSO ' || ' ' || NVL(:NEW.IDCONSISTECONSO, ''); 
        END IF;
        IF :NEW.IDINTHOTEL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDINTHOTEL ' || ' ' || NVL(:NEW.IDINTHOTEL, ''); 
        END IF;
        IF :NEW.DSSTRINGHOTEL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSSTRINGHOTEL ' || ' ' || NVL(:NEW.DSSTRINGHOTEL, ''); 
        END IF;
        IF :NEW.CDCODSCONSPROD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCODSCONSPROD ' || ' ' || NVL(:NEW.CDCODSCONSPROD, ''); 
        END IF;
        IF :NEW.CDCODSCONSHOMO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCODSCONSHOMO ' || ' ' || NVL(:NEW.CDCODSCONSHOMO, ''); 
        END IF;
        IF :NEW.CDURLWSNFC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDURLWSNFC ' || ' ' || NVL(:NEW.CDURLWSNFC, ''); 
        END IF;
        IF :NEW.CDVINCSAT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDVINCSAT ' || ' ' || NVL(:NEW.CDVINCSAT, ''); 
        END IF;
        IF :NEW.NRMINEXPVENDA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRMINEXPVENDA ' || ' ' || NVL(:NEW.NRMINEXPVENDA, ''); 
        END IF;
        IF :NEW.IDSOLICITADOTZ IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLICITADOTZ ' || ' ' || NVL(:NEW.IDSOLICITADOTZ, ''); 
        END IF;
        IF :NEW.IDSOLICITANSU IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLICITANSU ' || ' ' || NVL(:NEW.IDSOLICITANSU, ''); 
        END IF;
        IF :NEW.IDINTEGRAEEXTRA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDINTEGRAEEXTRA ' || ' ' || NVL(:NEW.IDINTEGRAEEXTRA, ''); 
        END IF;
        IF :NEW.CDVENDEDOR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDVENDEDOR ' || ' ' || NVL(:NEW.CDVENDEDOR, ''); 
        END IF;
        IF :NEW.IDENVIAPEDKDS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDENVIAPEDKDS ' || ' ' || NVL(:NEW.IDENVIAPEDKDS, ''); 
        END IF;
        IF :NEW.CDIDTOKENHOMO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDIDTOKENHOMO ' || ' ' || NVL(:NEW.CDIDTOKENHOMO, ''); 
        END IF;
        IF :NEW.CDIDTOKENPROD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDIDTOKENPROD ' || ' ' || NVL(:NEW.CDIDTOKENPROD, ''); 
        END IF;
        IF :NEW.CDAJDIFTXADMREC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDAJDIFTXADMREC ' || ' ' || NVL(:NEW.CDAJDIFTXADMREC, ''); 
        END IF;
        IF :NEW.DSRECOMENDNUTRI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSRECOMENDNUTRI ' || ' ' || NVL(:NEW.DSRECOMENDNUTRI, ''); 
        END IF;
        IF :NEW.NRTAMARQXML IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRTAMARQXML ' || ' ' || NVL(:NEW.NRTAMARQXML, ''); 
        END IF;
        IF :NEW.CDTPAJUSANGRACR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPAJUSANGRACR ' || ' ' || NVL(:NEW.CDTPAJUSANGRACR, ''); 
        END IF;
        IF :NEW.CDTPAJUSANGRRED IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPAJUSANGRRED ' || ' ' || NVL(:NEW.CDTPAJUSANGRRED, ''); 
        END IF;
        IF :NEW.NRATRAPADRAO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRATRAPADRAO ' || ' ' || NVL(:NEW.NRATRAPADRAO, ''); 
        END IF;
        IF :NEW.IDPREVALIDCUPOM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPREVALIDCUPOM ' || ' ' || NVL(:NEW.IDPREVALIDCUPOM, ''); 
        END IF;
        IF :NEW.IDLOJAESITEFFIL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDLOJAESITEFFIL ' || ' ' || NVL(:NEW.IDLOJAESITEFFIL, ''); 
        END IF;
        IF :NEW.CDLOJAESITEFFIL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDLOJAESITEFFIL ' || ' ' || NVL(:NEW.CDLOJAESITEFFIL, ''); 
        END IF;
        IF :NEW.IDAGRUPVALORCLI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDAGRUPVALORCLI ' || ' ' || NVL(:NEW.IDAGRUPVALORCLI, ''); 
        END IF;
        IF :NEW.CDTIPORETI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPORETI ' || ' ' || NVL(:NEW.CDTIPORETI, ''); 
        END IF;
        IF :NEW.IDPERMANUTVEN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERMANUTVEN ' || ' ' || NVL(:NEW.IDPERMANUTVEN, ''); 
        END IF;
        IF :NEW.NRSEGLIMPEZATAA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRSEGLIMPEZATAA ' || ' ' || NVL(:NEW.NRSEGLIMPEZATAA, ''); 
        END IF;
        IF :NEW.DSARQXMLCATR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSARQXMLCATR ' || ' ' || NVL(:NEW.DSARQXMLCATR, ''); 
        END IF;
        IF :NEW.IDCPFPINPAD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCPFPINPAD ' || ' ' || NVL(:NEW.IDCPFPINPAD, ''); 
        END IF;
        IF :NEW.IDINFOCPFPINPAD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDINFOCPFPINPAD ' || ' ' || NVL(:NEW.IDINFOCPFPINPAD, ''); 
        END IF;
        IF :NEW.IDIMPLOGONF IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPLOGONF ' || ' ' || NVL(:NEW.IDIMPLOGONF, ''); 
        END IF;
        IF :NEW.NRPOSNVBEMA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSNVBEMA ' || ' ' || NVL(:NEW.NRPOSNVBEMA, ''); 
        END IF;
        IF :NEW.NRPOSNV1EPSON IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSNV1EPSON ' || ' ' || NVL(:NEW.NRPOSNV1EPSON, ''); 
        END IF;
        IF :NEW.NRPOSNV2EPSON IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSNV2EPSON ' || ' ' || NVL(:NEW.NRPOSNV2EPSON, ''); 
        END IF;
        IF :NEW.VRMINSANGRIA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRMINSANGRIA ' || ' ' || NVL(:NEW.VRMINSANGRIA, ''); 
        END IF;
        IF :NEW.VRMAXSANGRIA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRMAXSANGRIA ' || ' ' || NVL(:NEW.VRMAXSANGRIA, ''); 
        END IF;
        IF :NEW.VRTXENTREGA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRTXENTREGA ' || ' ' || NVL(:NEW.VRTXENTREGA, ''); 
        END IF;
        IF :NEW.NRTEMPMAXENTR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRTEMPMAXENTR ' || ' ' || NVL(:NEW.NRTEMPMAXENTR, ''); 
        END IF;
        IF :NEW.IDCONSCAMPFIDEL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSCAMPFIDEL ' || ' ' || NVL(:NEW.IDCONSCAMPFIDEL, ''); 
        END IF;
        IF :NEW.IDIMPTXSERV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPTXSERV ' || ' ' || NVL(:NEW.IDIMPTXSERV, ''); 
        END IF;
        IF :NEW.IDUTLIBERAPROV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLIBERAPROV ' || ' ' || NVL(:NEW.IDUTLIBERAPROV, ''); 
        END IF;
        IF :NEW.IDUTFECHAUTO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTFECHAUTO ' || ' ' || NVL(:NEW.IDUTFECHAUTO, ''); 
        END IF;
        IF :NEW.IDFECHACUPOM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDFECHACUPOM ' || ' ' || NVL(:NEW.IDFECHACUPOM, ''); 
        END IF;
        IF :NEW.QTDMAXDIGNSU IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'QTDMAXDIGNSU ' || ' ' || NVL(:NEW.QTDMAXDIGNSU, ''); 
        END IF;
        IF :NEW.IDAGRUITEMVEN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDAGRUITEMVEN ' || ' ' || NVL(:NEW.IDAGRUITEMVEN, ''); 
        END IF;
        IF :NEW.IDUTLQTDPED IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLQTDPED ' || ' ' || NVL(:NEW.IDUTLQTDPED, ''); 
        END IF;
        IF :NEW.CDSETOR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDSETOR ' || ' ' || NVL(:NEW.CDSETOR, ''); 
        END IF;
        IF :NEW.IDESTTEMPOREAL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDESTTEMPOREAL ' || ' ' || NVL(:NEW.IDESTTEMPOREAL, ''); 
        END IF;
        IF :NEW.IDENVIACDBARXML IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDENVIACDBARXML ' || ' ' || NVL(:NEW.IDENVIACDBARXML, ''); 
        END IF;
        IF :NEW.IDTRANSAUTONFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDTRANSAUTONFCE ' || ' ' || NVL(:NEW.IDTRANSAUTONFCE, ''); 
        END IF;
        IF :NEW.IDHRTRANSAUTO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDHRTRANSAUTO ' || ' ' || NVL(:NEW.IDHRTRANSAUTO, ''); 
        END IF;
        IF :NEW.HRTRANSAUTO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRTRANSAUTO ' || ' ' || NVL(:NEW.HRTRANSAUTO, ''); 
        END IF;
        IF :NEW.DSDIRARQPHP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRARQPHP ' || ' ' || NVL(:NEW.DSDIRARQPHP, ''); 
        END IF;
        IF :NEW.DSDIRINSTALPHP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRINSTALPHP ' || ' ' || NVL(:NEW.DSDIRINSTALPHP, ''); 
        END IF;
        IF :NEW.VRMINPEDIDO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRMINPEDIDO ' || ' ' || NVL(:NEW.VRMINPEDIDO, ''); 
        END IF;
        IF :NEW.IDCONTTXSERVSEP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONTTXSERVSEP ' || ' ' || NVL(:NEW.IDCONTTXSERVSEP, ''); 
        END IF;
        IF :NEW.CDTPAJTXSERV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPAJTXSERV ' || ' ' || NVL(:NEW.CDTPAJTXSERV, ''); 
        END IF;
        IF :NEW.VRTAXAADMISERV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRTAXAADMISERV ' || ' ' || NVL(:NEW.VRTAXAADMISERV, ''); 
        END IF;
        IF :NEW.CDTPAJTXADMSERV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPAJTXADMSERV ' || ' ' || NVL(:NEW.CDTPAJTXADMSERV, ''); 
        END IF;
        IF :NEW.IDVISUPRODNEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDVISUPRODNEG ' || ' ' || NVL(:NEW.IDVISUPRODNEG, ''); 
        END IF;
        IF :NEW.CDCLIENTEPADFIS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCLIENTEPADFIS ' || ' ' || NVL(:NEW.CDCLIENTEPADFIS, ''); 
        END IF;
        IF :NEW.IDGERAMRNUMREDZ IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERAMRNUMREDZ ' || ' ' || NVL(:NEW.IDGERAMRNUMREDZ, ''); 
        END IF;
        IF :NEW.CDCHAVACESVALI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCHAVACESVALI ' || ' ' || NVL(:NEW.CDCHAVACESVALI, ''); 
        END IF;
        IF :NEW.CDCHAVEREQUI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCHAVEREQUI ' || ' ' || NVL(:NEW.CDCHAVEREQUI, ''); 
        END IF;
        IF :NEW.NRMAXPESMES IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRMAXPESMES ' || ' ' || NVL(:NEW.NRMAXPESMES, ''); 
        END IF;
        IF :NEW.DSWSINTEGRAPAGER IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSWSINTEGRAPAGER ' || ' ' || NVL(:NEW.DSWSINTEGRAPAGER, ''); 
        END IF;
        IF :NEW.DSWSINTEGRAAPP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSWSINTEGRAAPP ' || ' ' || NVL(:NEW.DSWSINTEGRAAPP, ''); 
        END IF;
        IF :NEW.NRDISTANCIAATEND IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDISTANCIAATEND ' || ' ' || NVL(:NEW.NRDISTANCIAATEND, ''); 
        END IF;
        IF :NEW.IDATIVO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDATIVO ' || ' ' || NVL(:NEW.IDATIVO, ''); 
        END IF;
        IF :NEW.CDVERSAOXMLNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDVERSAOXMLNFCE ' || ' ' || NVL(:NEW.CDVERSAOXMLNFCE, ''); 
        END IF;
        /* campo descontinuado
        IF :NEW.DSEMAILCLUSO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSEMAILCLUSO ' || ' ' || NVL(:NEW.DSEMAILCLUSO, ''); 
        END IF;*/
        IF :NEW.VRPERCCUSTPROD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRPERCCUSTPROD ' || ' ' || NVL(:NEW.VRPERCCUSTPROD, ''); 
        END IF;
        IF :NEW.IDUMAVIANFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUMAVIANFCE ' || ' ' || NVL(:NEW.IDUMAVIANFCE, ''); 
        END IF;
        IF :NEW.IDCANCAUTNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCANCAUTNFCE ' || ' ' || NVL(:NEW.IDCANCAUTNFCE, ''); 
        END IF;
        IF :NEW.DSJUSTCANCNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSJUSTCANCNFCE ' || ' ' || NVL(:NEW.DSJUSTCANCNFCE, ''); 
        END IF;
        IF :NEW.CDTABEPRECDLV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTABEPRECDLV ' || ' ' || NVL(:NEW.CDTABEPRECDLV, ''); 
        END IF;
        IF :NEW.IDSATCOMP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDSATCOMP ' || ' ' || NVL(:NEW.IDSATCOMP, ''); 
        END IF;
        IF :NEW.IDPLATAFORMAPAG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPLATAFORMAPAG ' || ' ' || NVL(:NEW.IDPLATAFORMAPAG, ''); 
        END IF;
        IF :NEW.IDPERMITEPAGRETLOJA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERMITEPAGRETLOJA ' || ' ' || NVL(:NEW.IDPERMITEPAGRETLOJA, ''); 
        END IF;
        IF :NEW.IDUTILTRILOBIT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILTRILOBIT ' || ' ' || NVL(:NEW.IDUTILTRILOBIT, ''); 
        END IF;
        IF :NEW.CDVERSAOQRCNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDVERSAOQRCNFCE ' || ' ' || NVL(:NEW.CDVERSAOQRCNFCE, ''); 
        END IF;
        IF :NEW.IDCONDESCTXSERV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONDESCTXSERV ' || ' ' || NVL(:NEW.IDCONDESCTXSERV, ''); 
        END IF;
        IF :NEW.IDKDSHABILITADO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDKDSHABILITADO ' || ' ' || NVL(:NEW.IDKDSHABILITADO, ''); 
        END IF;
        IF :NEW.IDUTPRDIFPRCOMB IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTPRDIFPRCOMB ' || ' ' || NVL(:NEW.IDUTPRDIFPRCOMB, ''); 
        END IF;
        IF :NEW.NMARQCERTNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NMARQCERTNFCE ' || ' ' || NVL(:NEW.NMARQCERTNFCE, ''); 
        END IF;
        IF :NEW.DSSENHACERTNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSSENHACERTNFCE ' || ' ' || NVL(:NEW.DSSENHACERTNFCE, ''); 
        END IF;
        IF :NEW.WSXMLFISCO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'WSXMLFISCO ' || ' ' || NVL(:NEW.WSXMLFISCO, ''); 
        END IF;
        IF :NEW.IDEXTCONSONLINE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXTCONSONLINE ' || ' ' || NVL(:NEW.IDEXTCONSONLINE, ''); 
        END IF;
        IF :NEW.CDURLWSEXTCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDURLWSEXTCONS ' || ' ' || NVL(:NEW.CDURLWSEXTCONS, ''); 
        END IF;
        IF :NEW.IDUTLSSL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLSSL ' || ' ' || NVL(:NEW.IDUTLSSL, ''); 
        END IF;
        IF :NEW.CDTIPORECEQRCODE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPORECEQRCODE ' || ' ' || NVL(:NEW.CDTIPORECEQRCODE, ''); 
        END IF;
        IF :NEW.IDPERVENCONINAT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERVENCONINAT ' || ' ' || NVL(:NEW.IDPERVENCONINAT, ''); 
        END IF;
        IF :NEW.IDCONSUBDESFOL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSUBDESFOL ' || ' ' || NVL(:NEW.IDCONSUBDESFOL, ''); 
        END IF;
        IF :NEW.IDUTILBOLNUTRI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILBOLNUTRI ' || ' ' || NVL(:NEW.IDUTILBOLNUTRI, ''); 
        END IF;
        IF :NEW.CDGRUPPROD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRUPPROD ' || ' ' || NVL(:NEW.CDGRUPPROD, ''); 
        END IF;
        IF :NEW.IDBLOQCXSSERIE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQCXSSERIE ' || ' ' || NVL(:NEW.IDBLOQCXSSERIE, ''); 
        END IF;
        IF :NEW.NRTIMEOUTNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRTIMEOUTNFCE ' || ' ' || NVL(:NEW.NRTIMEOUTNFCE, ''); 
        END IF;
        IF :NEW.IDIMPFLNOTA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPFLNOTA ' || ' ' || NVL(:NEW.IDIMPFLNOTA, ''); 
        END IF;
        IF :NEW.IDBLOQTROCSAT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQTROCSAT ' || ' ' || NVL(:NEW.IDBLOQTROCSAT, ''); 
        END IF;
        IF :NEW.IDIMPMERCBOCA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPMERCBOCA ' || ' ' || NVL(:NEW.IDIMPMERCBOCA, ''); 
        END IF;
        IF :NEW.IDAPUDRFAUT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDAPUDRFAUT ' || ' ' || NVL(:NEW.IDAPUDRFAUT, ''); 
        END IF;
        IF :NEW.VROBRIGCPFNOTA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VROBRIGCPFNOTA ' || ' ' || NVL(:NEW.VROBRIGCPFNOTA, ''); 
        END IF;
        IF :NEW.IDZERAPEDDLVMEN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDZERAPEDDLVMEN ' || ' ' || NVL(:NEW.IDZERAPEDDLVMEN, ''); 
        END IF;
        IF :NEW.IDCOMPPISCOFINS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCOMPPISCOFINS ' || ' ' || NVL(:NEW.IDCOMPPISCOFINS, ''); 
        END IF;
        IF :NEW.CDCHAVESEGSAT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCHAVESEGSAT ' || ' ' || NVL(:NEW.CDCHAVESEGSAT, ''); 
        END IF;
        IF :NEW.IDCTRLPEDVIAGEM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCTRLPEDVIAGEM ' || ' ' || NVL(:NEW.IDCTRLPEDVIAGEM, ''); 
        END IF;
        IF :NEW.CDCONSUMIDOR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCONSUMIDOR ' || ' ' || NVL(:NEW.CDCONSUMIDOR, ''); 
        END IF;
        IF :NEW.IDFECHLOJA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDFECHLOJA ' || ' ' || NVL(:NEW.IDFECHLOJA, ''); 
        END IF;
        IF :NEW.IDRESPTECNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDRESPTECNFCE ' || ' ' || NVL(:NEW.IDRESPTECNFCE, ''); 
        END IF;
        IF :NEW.CDCONSUMIDPADRAO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCONSUMIDPADRAO ' || ' ' || NVL(:NEW.CDCONSUMIDPADRAO, ''); 
        END IF;
        IF :NEW.IDFILENVEMAIL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDFILENVEMAIL ' || ' ' || NVL(:NEW.IDFILENVEMAIL, ''); 
        END IF;
        IF :NEW.HRINTSLDNEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRINTSLDNEG ' || ' ' || NVL(:NEW.HRINTSLDNEG, ''); 
        END IF;
        IF :NEW.TXEMAILSLDNEGATIVO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'TXEMAILSLDNEGATIVO ' || ' ' || NVL(:NEW.TXEMAILSLDNEGATIVO, ''); 
        END IF;
        IF :NEW.IDCONFBIO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONFBIO ' || ' ' || NVL(:NEW.IDCONFBIO, ''); 
        END IF;
        IF :NEW.IDUTLFECHDIA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLFECHDIA ' || ' ' || NVL(:NEW.IDUTLFECHDIA, ''); 
        END IF;
        IF :NEW.HRFECHDIA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRFECHDIA ' || ' ' || NVL(:NEW.HRFECHDIA, ''); 
        END IF;
        IF :NEW.DSIDRESGS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSIDRESGS ' || ' ' || NVL(:NEW.DSIDRESGS, ''); 
        END IF;
        IF :NEW.DSSENHARESGS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSSENHARESGS ' || ' ' || NVL(:NEW.DSSENHARESGS, ''); 
        END IF;
        IF :NEW.IDPERLANCAIXFEC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERLANCAIXFEC ' || ' ' || NVL(:NEW.IDPERLANCAIXFEC, ''); 
        END IF;
        IF :NEW.IDUTINTCATBIO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTINTCATBIO ' || ' ' || NVL(:NEW.IDUTINTCATBIO, ''); 
        END IF;
        IF :NEW.IDDESABTECLATAA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDDESABTECLATAA ' || ' ' || NVL(:NEW.IDDESABTECLATAA, ''); 
        END IF;
        IF :NEW.NRDIAVALIMPPROD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAVALIMPPROD ' || ' ' || NVL(:NEW.NRDIAVALIMPPROD, ''); 
        END IF;
        IF :NEW.IDBLOQMAISABERT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQMAISABERT ' || ' ' || NVL(:NEW.IDBLOQMAISABERT, ''); 
        END IF;
        IF :NEW.IDIMPRTEF IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPRTEF ' || ' ' || NVL(:NEW.IDIMPRTEF, ''); 
        END IF;
        IF :NEW.HRULTENVEMAIL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRULTENVEMAIL ' || ' ' || NVL(:NEW.HRULTENVEMAIL, ''); 
        END IF;
        IF :NEW.IDPEREDTCONSFCXA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPEREDTCONSFCXA ' || ' ' || NVL(:NEW.IDPEREDTCONSFCXA, ''); 
        END IF;
        IF :NEW.HRTEMPOROD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRTEMPOROD ' || ' ' || NVL(:NEW.HRTEMPOROD, ''); 
        END IF;
        IF :NEW.VRCONVPONTO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRCONVPONTO ' || ' ' || NVL(:NEW.VRCONVPONTO, ''); 
        END IF;
        IF :NEW.IDZEROESQPESQCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDZEROESQPESQCONS ' || ' ' || NVL(:NEW.IDZEROESQPESQCONS, ''); 
        END IF;
        IF :NEW.IDPREVDSALDO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPREVDSALDO ' || ' ' || NVL(:NEW.IDPREVDSALDO, ''); 
        END IF;
        IF :NEW.CDCAIXANOCASH IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCAIXANOCASH ' || ' ' || NVL(:NEW.CDCAIXANOCASH, ''); 
        END IF;
        IF :NEW.IDCONSDESCTXSERV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSDESCTXSERV ' || ' ' || NVL(:NEW.IDCONSDESCTXSERV, ''); 
        END IF;
        IF :NEW.NRCREDENTEK IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRCREDENTEK ' || ' ' || NVL(:NEW.NRCREDENTEK, ''); 
        END IF;
        IF :NEW.DSLOGINAME IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSLOGINAME ' || ' ' || NVL(:NEW.DSLOGINAME, ''); 
        END IF;
        IF :NEW.DSLOGINAMEHOM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSLOGINAMEHOM ' || ' ' || NVL(:NEW.DSLOGINAMEHOM, ''); 
        END IF;
        IF :NEW.DSSENHAAME IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSSENHAAME ' || ' ' || NVL(:NEW.DSSENHAAME, ''); 
        END IF;
        IF :NEW.DSSENHAAMEHOM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSSENHAAMEHOM ' || ' ' || NVL(:NEW.DSSENHAAMEHOM, ''); 
        END IF;
        IF :NEW.IDAMBIENTEAME IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDAMBIENTEAME ' || ' ' || NVL(:NEW.IDAMBIENTEAME, ''); 
        END IF;
        IF :NEW.VRCASHBACK IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRCASHBACK ' || ' ' || NVL(:NEW.VRCASHBACK, ''); 
        END IF;
        IF :NEW.DSURLSERVAME IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSURLSERVAME ' || ' ' || NVL(:NEW.DSURLSERVAME, ''); 
        END IF;
        IF :NEW.IDTRANSAUTOFISCO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDTRANSAUTOFISCO ' || ' ' || NVL(:NEW.IDTRANSAUTOFISCO, ''); 
        END IF;
        IF :NEW.IDUTLINTFACELE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLINTFACELE ' || ' ' || NVL(:NEW.IDUTLINTFACELE, ''); 
        END IF;
        IF :NEW.DSURLWSFACELE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSURLWSFACELE ' || ' ' || NVL(:NEW.DSURLWSFACELE, ''); 
        END IF;
        IF :NEW.IDAPLPREDIFCOMB IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDAPLPREDIFCOMB ' || ' ' || NVL(:NEW.IDAPLPREDIFCOMB, ''); 
        END IF;
        IF :NEW.IDEXIBEPRECZERO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIBEPRECZERO ' || ' ' || NVL(:NEW.IDEXIBEPRECZERO, ''); 
        END IF;
        IF :NEW.APPMENUCONFTE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'APPMENUCONFTE ' || ' ' || NVL(:NEW.APPMENUCONFTE, ''); 
        END IF;
        IF :NEW.IDSOLCPFDLVRJ IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLCPFDLVRJ ' || ' ' || NVL(:NEW.IDSOLCPFDLVRJ, ''); 
        END IF;
        IF :NEW.IDAGRUPITEMXML IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDAGRUPITEMXML ' || ' ' || NVL(:NEW.IDAGRUPITEMXML, ''); 
        END IF;
        IF :NEW.NMINSTNOCASH IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NMINSTNOCASH ' || ' ' || NVL(:NEW.NMINSTNOCASH, ''); 
        END IF;
        IF :NEW.IDIMPRSUBSREST IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPRSUBSREST ' || ' ' || NVL(:NEW.IDIMPRSUBSREST, ''); 
        END IF;
        IF :NEW.IDIMPRVRTOTSUBS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPRVRTOTSUBS ' || ' ' || NVL(:NEW.IDIMPRVRTOTSUBS, ''); 
        END IF;
        IF :NEW.IDPERVENDCONTSP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERVENDCONTSP ' || ' ' || NVL(:NEW.IDPERVENDCONTSP, ''); 
        END IF;
        IF :NEW.IDUTILFID4ALL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILFID4ALL ' || ' ' || NVL(:NEW.IDUTILFID4ALL, ''); 
        END IF;
        IF :NEW.CDURLWSFID4ALL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDURLWSFID4ALL ' || ' ' || NVL(:NEW.CDURLWSFID4ALL, ''); 
        END IF;
        IF :NEW.DTVALCERTDIGNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTVALCERTDIGNFCE ' || ' ' || NVL(:NEW.DTVALCERTDIGNFCE, ''); 
        END IF;
        IF :NEW.DTNFCEPEDREJ IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTNFCEPEDREJ ' || ' ' || NVL(:NEW.DTNFCEPEDREJ, ''); 
        END IF;
        IF :NEW.DSACCESSTOKENMP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSACCESSTOKENMP ' || ' ' || NVL(:NEW.DSACCESSTOKENMP, ''); 
        END IF;
        IF :NEW.DSUSERIDMP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSUSERIDMP ' || ' ' || NVL(:NEW.DSUSERIDMP, ''); 
        END IF;
        IF :NEW.DSIDSPONSORMP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSIDSPONSORMP ' || ' ' || NVL(:NEW.DSIDSPONSORMP, ''); 
        END IF;
        IF :NEW.IDAPROVVENDIA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDAPROVVENDIA ' || ' ' || NVL(:NEW.IDAPROVVENDIA, ''); 
        END IF;
        IF :NEW.IDCONSCREDPESSANGRIA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSCREDPESSANGRIA ' || ' ' || NVL(:NEW.IDCONSCREDPESSANGRIA, ''); 
        END IF;
        IF :NEW.IDNOTATECNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDNOTATECNFCE ' || ' ' || NVL(:NEW.IDNOTATECNFCE, ''); 
        END IF;
        IF :NEW.DSURLNOTIFICMP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSURLNOTIFICMP ' || ' ' || NVL(:NEW.DSURLNOTIFICMP, ''); 
        END IF;
        IF :NEW.IDMSGNOTAPEN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDMSGNOTAPEN ' || ' ' || NVL(:NEW.IDMSGNOTAPEN, ''); 
        END IF;
        IF :NEW.IDAPURELRETESTQ IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDAPURELRETESTQ ' || ' ' || NVL(:NEW.IDAPURELRETESTQ, ''); 
        END IF;
        IF :NEW.IDEXIBMSGREJNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIBMSGREJNFCE ' || ' ' || NVL(:NEW.IDEXIBMSGREJNFCE, ''); 
        END IF;
        IF :NEW.IDUTICONSONLINE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTICONSONLINE ' || ' ' || NVL(:NEW.IDUTICONSONLINE, ''); 
        END IF;
        IF :NEW.CDURLCONSONLINE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDURLCONSONLINE ' || ' ' || NVL(:NEW.CDURLCONSONLINE, ''); 
        END IF;
        IF :NEW.IDSINCFILIALDLV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDSINCFILIALDLV ' || ' ' || NVL(:NEW.IDSINCFILIALDLV, ''); 
        END IF;
        IF :NEW.IDSALDEXTDEBCON IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDSALDEXTDEBCON ' || ' ' || NVL(:NEW.IDSALDEXTDEBCON, ''); 
        END IF;
        IF :NEW.IDIMPCOMPACTA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCOMPACTA ' || ' ' || NVL(:NEW.IDIMPCOMPACTA, ''); 
        END IF;
        IF :NEW.IDWIBXENTERP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDWIBXENTERP ' || ' ' || NVL(:NEW.IDWIBXENTERP, ''); 
        END IF;
        IF :NEW.IDWIBXTOKEN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDWIBXTOKEN ' || ' ' || NVL(:NEW.IDWIBXTOKEN, ''); 
        END IF;
        IF :NEW.IDWIBXSELLER IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDWIBXSELLER ' || ' ' || NVL(:NEW.IDWIBXSELLER, ''); 
        END IF;
        IF :NEW.IDUTLWIBX IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLWIBX ' || ' ' || NVL(:NEW.IDUTLWIBX, ''); 
        END IF;
        IF :NEW.IDEXIBESTATIS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIBESTATIS ' || ' ' || NVL(:NEW.IDEXIBESTATIS, ''); 
        END IF;
        IF :NEW.IDBXULTMOVICLIE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDBXULTMOVICLIE ' || ' ' || NVL(:NEW.IDBXULTMOVICLIE, ''); 
        END IF;
        IF :NEW.IDIMPQTCOMBO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPQTCOMBO ' || ' ' || NVL(:NEW.IDIMPQTCOMBO, ''); 
        END IF;
        IF :NEW.IDLIMPMESAPOS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDLIMPMESAPOS ' || ' ' || NVL(:NEW.IDLIMPMESAPOS, ''); 
        END IF;
        IF :NEW.CDURLLIMPMESAPOS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDURLLIMPMESAPOS ' || ' ' || NVL(:NEW.CDURLLIMPMESAPOS, ''); 
        END IF;
        IF :NEW.CDAPIKEYLIMPMES IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDAPIKEYLIMPMES ' || ' ' || NVL(:NEW.CDAPIKEYLIMPMES, ''); 
        END IF;
        IF :NEW.IDUTILFIDUDS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILFIDUDS ' || ' ' || NVL(:NEW.IDUTILFIDUDS, ''); 
        END IF;
        IF :NEW.CDURLWSFIDUDS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDURLWSFIDUDS ' || ' ' || NVL(:NEW.CDURLWSFIDUDS, ''); 
        END IF;
        IF :NEW.IDAJUPICOFSPED IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDAJUPICOFSPED ' || ' ' || NVL(:NEW.IDAJUPICOFSPED, ''); 
        END IF;
        IF :NEW.CONSOIMPAJUS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CONSOIMPAJUS ' || ' ' || NVL(:NEW.CONSOIMPAJUS, ''); 
        END IF;
        IF :NEW.IDFECHRECAUT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDFECHRECAUT ' || ' ' || NVL(:NEW.IDFECHRECAUT, ''); 
        END IF;
        IF :NEW.IDUTILINTEPROMO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILINTEPROMO ' || ' ' || NVL(:NEW.IDUTILINTEPROMO, ''); 
        END IF;
        IF :NEW.CDURLINTEPROMO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDURLINTEPROMO ' || ' ' || NVL(:NEW.CDURLINTEPROMO, ''); 
        END IF;
        IF :NEW.IDINTEGCATSOLID IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDINTEGCATSOLID ' || ' ' || NVL(:NEW.IDINTEGCATSOLID, ''); 
        END IF;
        IF :NEW.NMSQLSCHEMADB IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NMSQLSCHEMADB ' || ' ' || NVL(:NEW.NMSQLSCHEMADB, ''); 
        END IF;
        IF :NEW.IDDEBCONSCENTRAL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDDEBCONSCENTRAL ' || ' ' || NVL(:NEW.IDDEBCONSCENTRAL, ''); 
        END IF;
        IF :NEW.NMSQLNAMEDB IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NMSQLNAMEDB ' || ' ' || NVL(:NEW.NMSQLNAMEDB, ''); 
        END IF;
        V_ITPESQ := :NEW.CDFILIAL||:NEW.CDPARAVEND;
       V_IDTIPOOPER := '1'; 
    END IF;
    IF DELETING THEN
        V_ITPESQ := :OLD.CDFILIAL||:OLD.CDPARAVEND;
       V_IDTIPOOPER := '3'; 
    END IF;

   V_DESC := SUBSTR(V_DESC, 1, 4000); 
    INSERT INTO LOGOPERAVND 
       (NMTABELAVND, 
        DTOPERACAOVND, 
        NMRESPOPERVND, 
        IDTIPOOPERVND, 
        DSOPERACAOVND, 
        CDPESQITEMVND, 
        DSRDMUSUOPERVND, 
        DSENDUSUOPERVND, 
        DSNMUSUOPERVND, 
        DSMETUSUOPERVND, 
        CDORESPOPERVND, 
        CDFILLOGOPERVND) 
    VALUES 
       ('PARAVEND', 
        SYSDATE, 
        NVL(V_NMOPERADOR,' '), 
        V_IDTIPOOPER, 
        NVL(V_DESC,' '), 
        V_ITPESQ, 
        V_DSSERVERRDM, 
        V_DSREMOTEADDR, 
        V_DSREMOTEHOST, 
        V_DSSERVMETHOD, 
        V_DSREMOTEOPER, 
        NVL(:NEW.CDFILIAL,:OLD.CDFILIAL));
END; 
/